kirha logo

POST Tools Execute

POST
/tools/v1/execute

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.kirha.com/tools/v1/execute" \  -H "Content-Type: application/json" \  -d '{    "tool_name": "string"  }'
{
  "tool_name": "string",
  "output": null,
  "is_error": true,
  "error_message": "string",
  "usage": {
    "estimated": 0.1,
    "consumed": 0.1
  }
}